# Class AnimationManager

java.lang.Object
org.jmol.viewer.AnimationManager

public class AnimationManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`animationFps`
`boolean`
`animationOn`
`int`
`animationReplayMode`
`JmolThread`
`animationThread`
`int`
`cmi`
current model index
`int`
`currentSplitFrame`
`int`
`firstFrameDelayMs`
`boolean`
`isMovie`
`int`
`lastFrameDelayMs`
`boolean`
`splitFrame`
left-right split-frame dual images; could be combined with stereo DTI
`Viewer`
`vwr`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`currentFrameIs(int f)`
`boolean`
`currentIsLast()`
`int`
`getCurrentSplitModelIndex()`
`int`
`getFrameCount()`
`BS`
`getSplitFrameAtoms(boolean active)`
`int`
`getSplitFrameModel()`
`BS`
`getSplitFrameModels()`
`int`
`getUnitCellAtomIndex()`
`boolean`
`isSplitFrameSelectable(int atomIndex)`
`void`
`morph(float modelIndex)`
`void`
`setAnimationDirection(int animationDirection)`
`boolean`
`setAnimationNext()`
`void`
`setAnimationOn(boolean animationOn)`
`void`
`setAnimationReplayMode(int animationReplayMode, float firstFrameDelay, float lastFrameDelay)`
`void`
`setFrame(int i)`
`void`
`setMorphCount(int n)`
`void`
`setMovie(Map<String,Object> info)`
support for PyMOL movies and anim FRAMES [....] currently no support for scripted movies
`void`
`setSplitFrame(int modelIndex1, int modelIndex2)`
`int`
`setSplitFrameMouse(int x)`
Adjust x-value of mouse action to be offset by the frame offset.
`void`
`setUnitCellAtomIndex(int iAtom)`
`void`
`stopThread(boolean isPaused)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### animationThread

public JmolThread animationThread

### vwr

public Viewer vwr

### animationOn

public boolean animationOn

### animationFps

public int animationFps

### firstFrameDelayMs

public int firstFrameDelayMs

### lastFrameDelayMs

public int lastFrameDelayMs

### animationReplayMode

public int animationReplayMode

### isMovie

public boolean isMovie

### cmi

public int cmi
current model index

### splitFrame

public boolean splitFrame
left-right split-frame dual images; could be combined with stereo DTI

### currentSplitFrame

public int currentSplitFrame

## Method Details

### setAnimationOn

public void setAnimationOn(boolean animationOn)

### stopThread

public void stopThread(boolean isPaused)

### setAnimationNext

public boolean setAnimationNext()

### currentIsLast

public boolean currentIsLast()

### currentFrameIs

public boolean currentFrameIs(int f)

### setMorphCount

public void setMorphCount(int n)

### morph

public void morph(float modelIndex)

### setAnimationDirection

public void setAnimationDirection(int animationDirection)

### setAnimationReplayMode

public void setAnimationReplayMode(int animationReplayMode, float firstFrameDelay, float lastFrameDelay)

### setMovie

public void setMovie(Map<String,Object> info)
support for PyMOL movies and anim FRAMES [....] currently no support for scripted movies

Parameters:
  `info` -

### getFrameCount

public int getFrameCount()

### setFrame

public void setFrame(int i)

### getUnitCellAtomIndex

public int getUnitCellAtomIndex()

### setUnitCellAtomIndex

public void setUnitCellAtomIndex(int iAtom)

### setSplitFrame

public void setSplitFrame(int modelIndex1, int modelIndex2)

### setSplitFrameMouse

public int setSplitFrameMouse(int x)
Adjust x-value of mouse action to be offset by the frame offset. This sets thisSplitFrame;

Parameters:
  `x` -
Returns:
  x or offsetX

### getSplitFrameModel

public int getSplitFrameModel()

### isSplitFrameSelectable

public boolean isSplitFrameSelectable(int atomIndex)

### getSplitFrameAtoms

public BS getSplitFrameAtoms(boolean active)

Parameters:
  `active` -
Returns:
  either the active set of atoms or the other model's set or null

### getCurrentSplitModelIndex

public int getCurrentSplitModelIndex()

### getSplitFrameModels

public BS getSplitFrameModels()